summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMarkos Chandras <hwoarang@gentoo.org>2015-07-17 19:54:20 +0000
committerMarkos Chandras <hwoarang@gentoo.org>2015-07-17 19:54:20 +0000
commit7f00ba59759d8e505670c3854a29eb4af30d105a (patch)
treef06cb652ff9fb16858fbe00f92916e2f2a545d0f /x11-misc
parentAdd missing sys-devel/gettext dependency. Bug #555014 (diff)
downloadhistorical-7f00ba59759d8e505670c3854a29eb4af30d105a.tar.gz
historical-7f00ba59759d8e505670c3854a29eb4af30d105a.tar.bz2
historical-7f00ba59759d8e505670c3854a29eb4af30d105a.zip
Version bump
Package-Manager: portage-2.2.20/cvs/Linux x86_64 Manifest-Sign-Key: 0x09BF4F54C2BA7F3C!
Diffstat (limited to 'x11-misc')
-rw-r--r--x11-misc/lightdm/ChangeLog7
-rw-r--r--x11-misc/lightdm/Manifest38
-rw-r--r--x11-misc/lightdm/lightdm-1.14.2.ebuild122
3 files changed, 148 insertions, 19 deletions
diff --git a/x11-misc/lightdm/ChangeLog b/x11-misc/lightdm/ChangeLog
index ce9f1e58a3b8..8ac1cd5aa746 100644
--- a/x11-misc/lightdm/ChangeLog
+++ b/x11-misc/lightdm/ChangeLog
@@ -1,6 +1,11 @@
# ChangeLog for x11-misc/lightdm
# Copyright 1999-2015 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/x11-misc/lightdm/ChangeLog,v 1.111 2015/05/31 10:26:13 hwoarang Exp $
+# $Header: /var/cvsroot/gentoo-x86/x11-misc/lightdm/ChangeLog,v 1.112 2015/07/17 19:54:16 hwoarang Exp $
+
+*lightdm-1.14.2 (17 Jul 2015)
+
+ 17 Jul 2015; Markos Chandras <hwoarang@gentoo.org> +lightdm-1.14.2.ebuild:
+ Version bump
*lightdm-1.14.1 (31 May 2015)
*lightdm-1.15.0 (31 May 2015)
diff --git a/x11-misc/lightdm/Manifest b/x11-misc/lightdm/Manifest
index a1228527797b..c98141090e44 100644
--- a/x11-misc/lightdm/Manifest
+++ b/x11-misc/lightdm/Manifest
@@ -1,5 +1,5 @@
-----BEGIN PGP SIGNED MESSAGE-----
-Hash: SHA512
+Hash: SHA256
AUX README.gentoo 494 SHA256 6192d8d9db26d97404860f891ba8a1f3aa623ac72df2b23c2939344b6960dda8 SHA512 07e35ef0ac603b2b817c33fd2bc06b9b254a2e3fee16e7ec8fc0c86d27330c795b8d1eae660c42c414de4d721faea2cab1d41c5950ca7a1032d758626011ae3c WHIRLPOOL 7032d5d76eac0c94f8e5be5d7dd517b5b5569179eed04d398736ea75fff0eacdcfd4ab43c34aedb203c2fbc2d6ac0661f21d90b4a09e6bfd1d4cf9fa290dce3b
AUX Xsession 1819 SHA256 7968a509b63b18acbf720903fe9a3f3da7830845148699adabc29bafac3fc0e7 SHA512 f1f9264ef6103e66ced2d94bdb24dafb71a37ed8286b35536fa992d774f288bb9b8e338e184c955b39f0448da91af5d7c2d12c5536521186d8ee5db832e20e7e WHIRLPOOL ea447e2d10877be0b8525fa84a5886f21aca10266dc26de5e977fec8c53e9071c9da5af5bf3518d55c92f9cb04c8155e34c499a14e92708912f3ed4d98e7d432
@@ -15,31 +15,33 @@ DIST lightdm-1.10.5.tar.xz 470452 SHA256 90b2133916d46d7eeae9b14fb581ae29d09e099
DIST lightdm-1.12.3.tar.xz 473512 SHA256 c7dc90fde4f22762f38f06506b64f3b95cc3a1d9ccb8c18efa408087fd054465 SHA512 dca75324e3326a3fdc575837226a9633c7ec967e2484b03e051d5ce2f788dba8e23d4875da3c8d97cb8c6a1da843bc7500876027ca2c40e2bc4844b034acbd08 WHIRLPOOL 22a0c30032dcec66263801285017305b385789ed09b32c3e73c5db27daad44a7c44311d30f2002fe776f10cbaeb5d47727502ff19f61c0465e37987baa231de8
DIST lightdm-1.13.2.tar.xz 478064 SHA256 579f74c175b6cb1e2e304fe8cad462f99467b50701a0b1c85fe455f41caf83af SHA512 929b0a2bacb9cb45c03664b191f7d6022b65133b286ca5af5118bb2ffc12c8eb49dcc9cb135b02880c7a9f5a6e6de59fa432c0e6a44d22426727463367239476 WHIRLPOOL d979f09f2e75a9977f8917b7d711eb803aa564a75582d7b86e24fe9ca410a6d3555081ef7e3b6750344208236f8a1d85171b267cc4ff0cb47baafe2e8f10de46
DIST lightdm-1.14.1.tar.xz 477172 SHA256 c09827783f4a5f6742cd774de73a3e0f929a2493334f121b4659ea754c817ace SHA512 228be6216c7bdb478abddb20905b1ad3ff6583906addd8b0487d8a7ae62d220efe2cb5a72f896924101b2b01826beb6281e1049792d6f23b91dda40f7b251707 WHIRLPOOL 28c2d2f8a2051d6166d89b629827ea8f64f36ff67ef09dc9c54b932ba25818d9f5c41359f9090f7363ebef0eac11ba6051af5a6c569c3860dce9374b3c5018e0
+DIST lightdm-1.14.2.tar.xz 477232 SHA256 28b078979870782aaa1a9167945e1dab19cc6d699747af3d0c0c9a3bdb8dbba1 SHA512 5dec6fb492930827c3e07a027411ad5b864f0ef923753c9b8d309c1ab9de9c405ba66b2adbb12784cdd02d9cadebcb5299761ec17bbf1cd4a4202478ce8b427b WHIRLPOOL e9122281e599663af42f06a8d68fc0eae6b9b1c7d820802c14bc9d5bfd32005d4fe28cae805f697ec62587e2e4c5c4e290d37fcb84cf262f538b967c584e9f45
DIST lightdm-1.15.0.tar.xz 478928 SHA256 1a8a4a4bf81a00e44fb57e13cff475b7cfedf94a09c2be544b04e3b372140c38 SHA512 6b4efe958f2cfd22069ebce74c45c7d059e2cb04dbccd9a7d7ac76e0eaf07000c8f48a377b3f2a65cf9a674bd730d3126a4f3bca8e83fc8768519e440daf6cb2 WHIRLPOOL 48543995efc6beddbc3081a2f2b973400cad7e83e812a15dff8908e6c4e4ed6e82ddd36d642e4c7493dca3e9890ae21c228bebc73d1ec8350997d3c2db230e6f
EBUILD lightdm-1.10.3.ebuild 3264 SHA256 001f3c85828d6ac1458ead07c2b5688672c58988e6861238d41f982e3ba7006c SHA512 3c5e0332f8c38163376deefa1f8b9b6cd35f1b35517d4a226f71a98685edcdd271e238870ab00b10eb8fa1ca16a7360b3ca3ac863f1ffb6dff00d971d559503a WHIRLPOOL 6ba68a770b5b2c8f0a312583310f5322a27b6719ef490efcb89a22ecc60bf26695c195e2912059db33b115d4cb359af15a690c82cc2a1e6964ccb1e0c33ad3ae
EBUILD lightdm-1.10.5.ebuild 3272 SHA256 7074e1365fb645f5163d383d56016dc1638cab318282e630b3e6e6cba4f09bce SHA512 c3fcdc57861d8dd836cf9bad56f1e61c9dfdc24f1427db4b9145261246410f29d23cfa61a4f7336df0dd2a59d62ac4c0a4e94ae12a2a774bfcaf0767d5d9621c WHIRLPOOL 8e6064a82bb4966773d6afe2e38ff029a5aec06ad0e9f59eba6bbc9acf0cb9c800219ae5a25bae0943be4f0615426f39d1432bc42c921c6562c49b4cdc9e39f3
EBUILD lightdm-1.12.3.ebuild 3404 SHA256 4b758f0930ff493d70ae17f126ea82f09eea84c09296b1530d3c69f66a4929b4 SHA512 9f0fc2492d28c4217a71f617e10e2b1d08da795b60ea056dcc7d38564e4e1fc5bae669f65207587c1d233dc473cd3499592a1982748071815a60323dd0d8a7f8 WHIRLPOOL 0903e1a27574c69ffea1b4ef6bb1e765a39d2741eb3c86ca3a5aea605a0a744f0b6d75c6e4e8f97dd512e53612f50bd24299c5e3cc473a8a997947ebcc73810c
EBUILD lightdm-1.13.2.ebuild 3627 SHA256 2d2c408cd28cfb1db074628b97dc4e3bdb92525a7145e0c4063a3441561ef874 SHA512 893666dc205b7765724fae6a036314609785705d1b947f112785510415138350a554cd727fe536490c3d358c5a4127e1ae7af98bd37b5a67dad5c10966038439 WHIRLPOOL 7ea325fa5a18ce8449b0bd908ce4f025a5f45d0ab6d2c7fd946f8c70e21d8165f4e328818b53a7dfb826fd6b35000510a3f30fe5d1e19ed9faba75be93be0077
EBUILD lightdm-1.14.1.ebuild 3627 SHA256 bbc94fa3f6b563ea56dc411f0d9ce0e38c42096cab28953f77a6473ce5276b48 SHA512 9ea2ae58d0ca298da4421c46777a5f6938fabef0534ef4b5f37aaee009a56b1ba5abfe09a47e68e31248404d05c2141b009b20367ca94938c48b76169aca967f WHIRLPOOL bc52c21427c0adfcf2c56c03d55c3bd168395b402670960c47c0f018200ae6bc0878531b4dd9fcc1d1ceff3db76507fd93bc663a9bfb428169e88a2cf8106da3
+EBUILD lightdm-1.14.2.ebuild 3627 SHA256 f7d4415f52b29158d8c052fe893924280cdd13464be16737630d0ed308d0546d SHA512 817790f3add8991a9b441e715d466bf3c7da2457ce8be134a2aba48422e2f41ae1e28264e4468c63c5d8100ca044bea138bab17d9d66efdef1298a208f626c1f WHIRLPOOL 895138c0c4f1a7963fe1c63f557e40745e48c2e574c0ef75f78546af19ae60a447217ec47de0e9844f91500c47198d89c104c11e99e01f0224ae1b6bba7315d1
EBUILD lightdm-1.15.0.ebuild 3627 SHA256 d88691d8e2937f961427d60267e164b0984aa57fdb4cfba3f9de0c3edb67765f SHA512 398b447b5bddd052693b294dd909fdfcc09549ceca2de2f93ed16862450b88bf398c380efee3fa2ba601327bec9dacbc03baf1263a6bf96278480fb728478190 WHIRLPOOL eeba71b0a9573dbc0d560d8ebe581e1ff85ba8acfa8899624ca006b37e5b8407d501e49f2539d677bae47fc473ada639397676fcdadb453108cdedc4ef110024
-MISC ChangeLog 18425 SHA256 80dbb649d8ed81ac2b14230d2f4fa2551f2c47dcf981de525a1c2719c16a930e SHA512 7972420c7ee03700feb703e850cd3744d39d2f4a7d54ac3b1eb5c1bd1bb094b9a9c494dde4d346f381998baf076fa3bca439c8fb750581ad0e0f8e18fc592b83 WHIRLPOOL 281cc00020c2ac19e81530cff753ceea0f39e0e659730d4d8df2c096da075437250466fbe2887493d664280b7cff3ad30c27f1f62e08964620d18b338a912e13
+MISC ChangeLog 18549 SHA256 db39b4658081b61475bb5997acf58946b5e47cc841a4214cc43101d09a0e8cde SHA512 8d9ef559e2b5daeaff218d19cc29ccdda0b2046dba71815372916925fbe1c179901239d269dee126f8139dae9a7cdb51e49c6b7d8b090e1f73f75b97f95ce985 WHIRLPOOL eca97b1ef137379b9519caad0173e643ead1a19569c5f68619d061a8ba3fee4df702e6a5ae1ebe9e7e061a782be5af53f7b5e435c27fe88d3ff59ebd872b405b
MISC metadata.xml 564 SHA256 b2436c52bebd66ce68c7bfce8b0eaa8a10585748752f43b4bc997156bd016176 SHA512 e27f0b02bd5873bc39777cf61f4291370cde61dbf872a07b9d2f77053c7d53f7289d3dd2d5c0a6315c58885912e74c5b782e43542bedae1d62030ce8b1f18383 WHIRLPOOL 8e9e633b0c255a7920581a7d3d86e5a086eec5da6538f26883070bfe2aec638e6eb110244ad12e8e9e2708f10d249fa6a454fd4553aad404fdefba8b82054820
-----BEGIN PGP SIGNATURE-----
-Version: GnuPG v2.0
+Version: GnuPG v2
-iQJ8BAEBCgBmBQJVf8BLXxSAAAAAAC4AKGlzc3Vlci1mcHJAbm90YXRpb25zLm9w
-ZW5wZ3AuZmlmdGhob3JzZW1hbi5uZXQ0QUU0N0I4NzFERUI0MTJFN0EyODE0NUFF
-OTQwMkE3OUIwMzUyOUEyAAoJEOlAKnmwNSmiEI8QAI8IwxsD2BvZ+/8WufPmWogp
-tIxcpdVqQ/BOHzSA6R8C0HtOIj6BdWY6ukO4kw/b9o3qdfN0BFtvWL8vFX+ukMvK
-fcn4c7/hP7qNUksykIGYfHrv8svn96hTp/o+Ef7m/IdLzCRW2FeJdlGlCMZNgVza
-OWKT4Vad65Vbkpy4v+rAwdt6LlJ4xnti2OKjYdBOuekR45CLbDcLKIjfMcHsNC6m
-GXaRgTGOO0BfdqfooY46tJAr9JlX2CD9QeqbONUc851keOCJdqZiD8gbA7VQwtc8
-CEdOThJft2BXPoNzGZz4PbFwThImK6PR8mBYQueZxB+sF+QtrCoDojFJpUAZy7Cp
-C+itkAYh1ZpPb6jgKfQlLPVeebHaQP6V1DZJf30KoBSNAxp/ossdBLqoHpqzFuXV
-T5nJfmOPhRWcLFDUy7S566Q3j2JK0Gd0rODjKl4d1uNwpWbj2DpQ+rJ8ZyS8G0sl
-KLCN0crzhZWdyMeDbNupCzDpJN/VERcokpNLPuFqjhWFL15hv8LBJ8RjuXxNEPOs
-QVJ6kcBLY2znzKD2Xq43Nj2kTayMDks9anIbQIoHp/QZUpAMMAzgAyOYVHzCV53f
-3NohdvWTGV+Deg8iejSc7dk453CqHWbaBtnbvKTJBWpfoBF1Z+els5nLYT47Q7UJ
-xLCju4UqZOEFZ1eZas0i
-=A+tK
+iQJ8BAEBCABmBQJVqV1pXxSAAAAAAC4AKGlzc3Vlci1mcHJAbm90YXRpb25zLm9w
+ZW5wZ3AuZmlmdGhob3JzZW1hbi5uZXQzNTVDNDczOUYzRjJEMTRGNDRGMzU2RkMw
+OUJGNEY1NEMyQkE3RjNDAAoJEAm/T1TCun88fAQQAIN/A81TevK83ttCbpBkBK+M
+mJzxGmfGgM95JirNbY4FvKrpcXd1Rp8q/Nnje+H8X7bZ/GLATtvZ9pFwDwY8szn+
+s0N9JyHL1nDw+xTf29nRvAfYFDY2HInL+9CW5dl+fyuDnLhVOgXxtbj68KosEsHO
+GuHfV3qcDxZedjXy1cnm1VuZfwgLyBstdYSTyAKVgB5DcIEk2Zmny+OPM9E7mUFQ
+lmy/sW97+FKFdieaIAuwLodt9uEziLt+I3fLoTYK8VYCFQXnrXfxpSkMiiyY207S
+2ELehc5gwpyUn8KMMtMfK1NA35AgTpxa1RP4Is8jIlLklsCn1pMj/N5fTUEKKlH8
+gfBzT0m99WQpzlvtWVcLpn2RZSTS4YIZSV14G39cFpPRux8bbedNdt5fOmkUOlPk
+4vClGAOLko/1gf3bcNTEAt+Gqvn6IU4jDOUyS87Kowu3I1Rn7cz2+IrFYzFoaQi6
+uPQHtyuKFUYzmptfgxriw+xKJ4XmzGcIkp2BCCbJ+Kdck27WhpEo+0rWVK0R4cuO
+oAACeNDBYVbgm+eWHCSZKoPE5Alu5MOEGXXzkkTALGVuygKebPHV19CXx8FD+k8g
+iRn5Y97SrTQvnRtZxNIBQ5Ax3DbhemLg6r7hNlQdxIA1tjvxHdWXL7a1f/6oEX6G
++BoE5Az0wIeA9uJe/2XE
+=EFUQ
-----END PGP SIGNATURE-----
diff --git a/x11-misc/lightdm/lightdm-1.14.2.ebuild b/x11-misc/lightdm/lightdm-1.14.2.ebuild
new file mode 100644
index 000000000000..37b365cf8951
--- /dev/null
+++ b/x11-misc/lightdm/lightdm-1.14.2.ebuild
@@ -0,0 +1,122 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/x11-misc/lightdm/lightdm-1.14.2.ebuild,v 1.1 2015/07/17 19:54:16 hwoarang Exp $
+
+EAPI=5
+inherit autotools eutils pam readme.gentoo systemd versionator
+
+TRUNK_VERSION="$(get_version_component_range 1-2)"
+DESCRIPTION="A lightweight display manager"
+HOMEPAGE="http://www.freedesktop.org/wiki/Software/LightDM"
+SRC_URI="http://launchpad.net/${PN}/${TRUNK_VERSION}/${PV}/+download/${P}.tar.xz
+ mirror://gentoo/introspection-20110205.m4.tar.bz2"
+
+LICENSE="GPL-3 LGPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~ppc ~x86"
+IUSE="+gtk +introspection kde qt4 +gnome"
+REQUIRED_USE="|| ( gtk kde )"
+
+COMMON_DEPEND=">=dev-libs/glib-2.32.3:2
+ dev-libs/libxml2
+ gnome? ( sys-apps/accountsservice )
+ virtual/pam
+ x11-libs/libX11
+ >=x11-libs/libxklavier-5
+ introspection? ( >=dev-libs/gobject-introspection-1 )
+ qt4? (
+ dev-qt/qtcore:4
+ dev-qt/qtdbus:4
+ dev-qt/qtgui:4
+ )"
+RDEPEND="${COMMON_DEPEND}
+ >=sys-auth/pambase-20101024-r2"
+DEPEND="${COMMON_DEPEND}
+ dev-util/gtk-doc-am
+ dev-util/intltool
+ gnome? ( gnome-base/gnome-common )
+ sys-devel/gettext
+ virtual/pkgconfig"
+PDEPEND="gtk? ( x11-misc/lightdm-gtk-greeter )
+ kde? ( x11-misc/lightdm-kde )"
+
+DOCS=( NEWS )
+RESTRICT="test"
+
+src_prepare() {
+ sed -i -e 's:getgroups:lightdm_&:' tests/src/libsystem.c || die #412369
+ sed -i -e '/minimum-uid/s:500:1000:' data/users.conf || die
+
+ einfo "Fixing the session-wrapper variable in lightdm.conf"
+ sed -i -e \
+ "/session-wrapper/s@^.*@session-wrapper=/etc/${PN}/Xsession@" \
+ data/lightdm.conf || die "Failed to fix lightdm.conf"
+
+ epatch_user
+
+ # Remove bogus Makefile statement. This needs to go upstream
+ sed -i /"@YELP_HELP_RULES@"/d help/Makefile.am || die
+ if has_version dev-libs/gobject-introspection; then
+ eautoreconf
+ else
+ AT_M4DIR=${WORKDIR} eautoreconf
+ fi
+}
+
+src_configure() {
+ # Set default values if global vars unset
+ local _greeter _session _user
+ _greeter=${LIGHTDM_GREETER:=lightdm-gtk-greeter}
+ _session=${LIGHTDM_SESSION:=gnome}
+ _user=${LIGHTDM_USER:=root}
+ # Let user know how lightdm is configured
+ einfo "Gentoo configuration"
+ einfo "Default greeter: ${_greeter}"
+ einfo "Default session: ${_session}"
+ einfo "Greeter user: ${_user}"
+
+ # also disable tests because libsystem.c does not build. Tests are
+ # restricted so it does not matter anyway.
+ econf \
+ --localstatedir=/var \
+ --disable-static \
+ --disable-tests \
+ $(use_enable introspection) \
+ $(use_enable qt4 liblightdm-qt) \
+ --disable-liblightdm-qt5 \
+ --with-user-session=${_session} \
+ --with-greeter-session=${_greeter} \
+ --with-greeter-user=${_user} \
+ --with-html-dir="${EPREFIX}"/usr/share/doc/${PF}/html
+}
+
+src_install() {
+ default
+
+ # Delete apparmor profiles because they only work with Ubuntu's
+ # apparmor package. Bug #494426
+ if [[ -d ${D}/etc/apparmor.d ]]; then
+ rm -r "${D}/etc/apparmor.d" || die \
+ "Failed to remove apparmor profiles"
+ fi
+
+ insinto /etc/${PN}
+ doins data/{${PN},keys}.conf
+ doins "${FILESDIR}"/Xsession
+ fperms +x /etc/${PN}/Xsession
+ # /var/lib/lightdm-data could be useful. Bug #522228
+ dodir /var/lib/lightdm-data
+
+ prune_libtool_files --all
+ rm -rf "${ED}"/etc/init
+
+ # Remove existing pam file. We will build a new one. Bug #524792
+ rm -rf "${ED}"/etc/pam.d/${PN}{,-greeter}
+ pamd_mimic system-local-login ${PN} auth account password session #372229
+ pamd_mimic system-local-login ${PN}-greeter auth account password session #372229
+ dopamd "${FILESDIR}"/${PN}-autologin #390863, #423163
+
+ readme.gentoo_create_doc
+
+ systemd_dounit "${FILESDIR}/${PN}.service"
+}